OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PTopLoc

# PTopLoc_Location Class Reference

A Storable composed local coordinate system. Made
with local coordinate systems raised to power
elevation.
A Location is either :
* The Identity.
* The product of a Datum3D raised to a power and
an other Location called the next Location.
.

`#include <PTopLoc_Location.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PTopLoc_Location ()
| Creates an Identity Location. .
Standard_EXPORT | PTopLoc_Location (const Handle(PTopLoc_Datum3D)&D, const Standard_Integer P, const PTopLoc_Location &N)
| Creates a location being the product. N * D ^ P .
Standard_EXPORT Standard_Boolean | IsIdentity () const
| True when the location is an identity. .
Standard_EXPORT Handle_PTopLoc_Datum3D | Datum3D () const
| Returns the first Datum. An error is raised if the location is an identity. .
Standard_EXPORT Standard_Integer | Power () const
| Returns the power elevation of the first datum. An error is raised if the location is an identity. .
Standard_EXPORT PTopLoc_Location | Next () const
| Returns next Location. An error is raised if the location is an identity. .
| Handle (PTopLoc_ItemLocation) _CSFDB_GetPTopLoc_LocationmyData() const
void | _CSFDB_SetPTopLoc_LocationmyData (const Handle(PTopLoc_ItemLocation)&p)
## Private Attributes
Handle_PTopLoc_ItemLocation | myData
## Friends
Standard_EXPORT friend Handle_Standard_Type & | PTopLoc_Location_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PTopLoc_Location::PTopLoc_Location | ( |  | ) |

Standard_EXPORT PTopLoc_Location::PTopLoc_Location | ( | const Handle(PTopLoc_Datum3D)& | D,
|  | const Standard_Integer | P,
|  | const PTopLoc_Location & | N
| ) |

## Member Function Documentation

void PTopLoc_Location::_CSFDB_SetPTopLoc_LocationmyData | ( | const Handle(PTopLoc_ItemLocation)& | p | ) | `[inline]`

Standard_EXPORT Handle_PTopLoc_Datum3D PTopLoc_Location::Datum3D | ( |  | ) | const

PTopLoc_Location::Handle | ( | PTopLoc_ItemLocation |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean PTopLoc_Location::IsIdentity | ( |  | ) | const

Standard_EXPORT PTopLoc_Location PTopLoc_Location::Next | ( |  | ) | const

void PTopLoc_Location::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PTopLoc_Location::operator new | ( | size_t | size | ) | `[inline]`

void* PTopLoc_Location::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Integer PTopLoc_Location::Power | ( |  | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PTopLoc_Location_Type_ | ( |  | ) | `[friend]`

## Field Documentation

Handle_PTopLoc_ItemLocation PTopLoc_Location::myData`[private]`

The documentation for this class was generated from the following file:

- PTopLoc_Location.hxx